## libatomic-ops 1.0-2

=== debian/changelog ===
libatomic-ops (1.0-2) unstable; urgency=low

  * Closes: bug#321284 -- we now only have the -dev package with the
    static libraries in it, and it replaces the normal version (this
    corrects an ahs3 thinko from 1.0-1).
  * Add a note to README.Debian about staticness and license
  * Add /doc subdir into package documents
  * Closes: bug#321291 -- use "Q" constraint in
    src/atomic_ops/sysdeps/gcc/x86.h for AO_test_and_set_full, see
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23242 
  * Reopening #307448 -- the asm needs to be reconsidered and possibly
    rewritten for ARM.

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri,  5 Aug 2005 11:13:26 +1000

libatomic-ops (1.0-1) unstable; urgency=low

  * Closes: bug#307503 -- FTBS.  Update to upstream 1.0 (ianw)
  * The 'libatomic-ops' package now contains only a statically linked
    library, as upstream wishes (which makes sense, in this case, and
    still fits within policy).  The 'libatomic-ops-dev' package now 
    depends on the 'libatomic-ops' as a result to ensure a developer 
    can still properly link against the package (ahs3).
  * Update standards version to 3.6.2 (ahs3)
  * Closes: bug#307448 -- variable 'ret' undefined on ARM.  I think
    this has been solved but I could be wrong and may have to reopen
    this bug (ahs3).

 -- Al Stone <ahs3@debian.org>  Mon,  1 Aug 2005 22:25:38 -0600

libatomic-ops (0.5.1-4) unstable; urgency=low

  * Add man page

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 20 May 2005 08:28:14 +1000

libatomic-ops (0.5.1-3) unstable; urgency=low

  * Closes: bug#287276: support for amd64 -- thinko, skipped part
    of Kurt's patch inadvertently.

 -- Al Stone <ahs3@debian.org>  Mon, 21 Feb 2005 17:15:35 -0700

libatomic-ops (0.5.1-2) unstable; urgency=low

  * Closes: bug#287276: support for amd64 added (thanks to Kurt
    Roeckx <Q@ping.be> for the patch).
  * Closes: bug#244910: all architectures have now been enabled (only
    i386, ia64, amd64 are absolutely known to work, however)

 -- Al Stone <ahs3@debian.org>  Sat, 19 Feb 2005 15:47:31 -0700

libatomic-ops (0.5.1-1) unstable; urgency=low

  * Merge in Ian's changes for a non-native Debian package -- properly,
    this time.
  * Remove the auto* build-deps (the point of Ian's changes)
  * Closes: bug#270013 -- FTBFS: Permission problem on autogen.sh
  * Since we've started branching from upstream a little, change
    the versioning to reflect that -- hence, 0.5.1 to start with.

 -- Al Stone <ahs3@debian.org>  Tue,  7 Sep 2004 16:01:18 -0600

libatomic-ops (0.5-3) unstable; urgency=low

  * Update to cleanup and not be a debian native package
  * Closes: bug#266131: FTBFS: aclocal-1.7: command not found
  * Minor changes to debian/rules file (ahs3)
  * Cleanup minor typos before upload (ahs3)
  * Added 'libtool' to Build-Depends (ahs3)

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 27 Aug 2004 10:48:39 +1000

libatomic-ops (0.5-2) unstable; urgency=low

  * Cleanup of the source tree from Ian Wienand <ianw@gelato.unsw.edu.au>;
    got rid of all the generated files to simplify things.
  * Did cleanup of lintian-reported items

 -- Al Stone <ahs3@fc.hp.com>  Tue, 24 Aug 2004 22:50:25 -0600

libatomic-ops (0.5-1) unstable; urgency=low

  * Initial Release based on Ian Wienand's work (<ianw@gelato.unsw.edu.au>).
  * Inserted myself (Al Stone <ahs3@debian.org> as maintainer.
  * Cleaned up the various files needed in the debian directory.
  * Package now creates 'libatomic-ops' and 'libatomic-ops-dev'
  * Package now uses libtool
  * Closes: bug#231793 -- ITP for libatomic_ops

 -- Al Stone <ahs3@debian.org>  Sat, 13 Mar 2004 14:38:53 -0700
