=== debian/control ===
Source: libatomic-ops
Priority: optional
Maintainer: Ian Wienand <ianw@gelato.unsw.edu.au>
Uploaders: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libatomic-ops-dev
Section: libs
Depends: ${shlibs:Depends}
Architecture: any
Replaces: libatomic-ops
Description: A library for atomic operations (development files)
 Libatomic-ops implements a large collection of operations, each one
 of which is a combination of an (optional) atomic memory operation,
 and a memory barrier.  It also implements associated feature-test
 macros that determine whether a particular operation is available
 on the current target hardware (either directly or by synthesis).
 Libatomic-ops attempts to replace various existing files with similar
 goals, since they usually do not handle differences in memory barrier
 styles with sufficient generality.
 .
 This package provides the header files and documentation needed by
 developers.
