## libatomic-ops 1.2-3maemo1

=== debian/changelog ===
libatomic-ops (1.2-3maemo1) unstable; urgency=low

  * maemo port.
  * patch 4 fails to apply in scratchbox.
  * disable "check" rule.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 16 Jan 2008 14:41:11 +0200

libatomic-ops (1.2-3) unstable; urgency=low

  * Closes: #449152 -- updated MIPS patch from Thiemo Seufer

 -- Ian Wienand <ianw@debian.org>  Sun, 04 Nov 2007 19:01:31 +1100

libatomic-ops (1.2-2) unstable; urgency=low

  * Add patches/05_powerpc_asm.patch to fix invalid ASM in PowerPC, as per
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33171 (Closes: #432654).
    Thanks to Sjoerd Simons <sjoerd@luon.net> for isolating the bug, and
    Andrew Pinkski for solution.

 -- Ian Wienand <ianw@debian.org>  Mon, 27 Aug 2007 11:13:13 +1000

libatomic-ops (1.2-1) unstable; urgency=low

  * New upstream
  * Remove 00_x86_intrin.patch, fixed upstream (with "=q")x

 -- Ian Wienand <ianw@debian.org>  Fri, 25 May 2007 11:29:30 +1000

libatomic-ops (1.1-4) unstable; urgency=low

  * Closes: #322027, #338469 -- add 04_m68k.patch for M68K support, from
    Roman Zippel <zippel@linux-m68k.org>.  Add note in README.Debian about
    port.
  * Change mainatiner address to my @debian.org

 -- Ian Wienand <ianw@debian.org>  Mon, 16 Oct 2006 09:45:29 +1000

libatomic-ops (1.1-3) unstable; urgency=low

  * move the check target under the rules to make cdbs run inbuilt tests
  * Closes: #307448 -- assuming the (newly re-enabled) test runs OK we
    seem to be building on ARM

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  8 Dec 2005 13:39:22 +1100

libatomic-ops (1.1-2) unstable; urgency=low

  * spell my name right in README.Debian
  * patches/03_nodoc.patch : don't install documentation, the packaging
    does this directly
  * really install manpages
  * clean up what docs get installed
  * don't auto generate control file, do it in external scripts

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 25 Nov 2005 16:28:16 +1100

libatomic-ops (1.1-1) unstable; urgency=low

  * New upstream release
  * Convert to use CDBS with patch system; move extra stuff over upstream
    into ./debian/patches
  * Closes: #336112, #338442 -- MIPS support debian/patches/02_mips.patch
    Thanks Thiemo!

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 31 Oct 2005 13:40:53 +1100

libatomic-ops (1.0-3) unstable; urgency=low

  * Closes: bug#332378 -- fix include headers in
    src/atomic_ops/sysdeps/gcc/s390.h

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  6 Oct 2005 16:14:49 +1000
