=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libatomic-ops
 Priority: optional
-Maintainer: Ian Wienand <ianw@gelato.unsw.edu.au>
+Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.2
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), automake1.9, autoconf, patchutils (>= 0.2.25)
+Standards-Version: 3.7.2
 
 Package: libatomic-ops-dev
-Section: libs
+Section: libdevel
 Depends: ${shlibs:Depends}
 Architecture: any
 Replaces: libatomic-ops
