## libatomic-ops 7.4.2

=== debian/changelog ===
libatomic-ops (7.4.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.
    - Show test results for failing tests.
    - Force AO_load() to map to AO_load_acquire() for powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 12:48:07 +0200

libatomic-ops (7.4.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version 3.9.5 (no change)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 11:21:55 +1000

libatomic-ops (7.4-0ubuntu3) trusty; urgency=medium

  * Force AO_load() to map to AO_load_acquire() for powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 20:27:17 +0100

libatomic-ops (7.4-0ubuntu1) trusty; urgency=medium

  * New upstream version.
  * Build using dh-autoreconf.
  * Show test results for failing tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2014 18:20:40 +0100

libatomic-ops (7.3~alpha3+git20130717-1) unstable; urgency=low

  * Closes: 717095 -- update to current upstream for arm64
  * Update standards version (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 17 Jul 2013 09:06:32 +1000

libatomic-ops (7.3~alpha3+git20121114-1) unstable; urgency=low

  * Closes: 680100 -- include workaround for alpha spin-outs; thanks to
    Ivan Maidanski <ivmai@mail.ru> for diagnosing.

 -- Ian Wienand <ianw@debian.org>  Wed, 14 Nov 2012 15:27:35 -0800

libatomic-ops (7.3~alpha1+git20120718-1) unstable; urgency=low

  * Closes: 655872 -- Update from upstream git which fixes issues with
    older compilers as used on kfreebsd
    (613f39d369045e8fc385a439f67a575cddcc6fa1).  Thanks Ivan!

 -- Ian Wienand <ianw@debian.org>  Wed, 18 Jul 2012 07:08:36 -0700

libatomic-ops (7.3~alpha1+git20120701-1) unstable; urgency=low

  * Closes: 679680 -- Update from upstream git which contains fix for type
    issue on ia64 (3e7162d789df366a57d3e4a59dde4046f91ed135)

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 22:20:34 -0700

libatomic-ops (7.3~alpha1+git20120621-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 632604 -- Fixed by upstream 30cea1b as identified by Emanuele
    Aina and Gregor Herrmann <gregoa@debian.org>.  Thanks!

 -- Ian Wienand <ianw@debian.org>  Thu, 21 Jun 2012 09:55:15 -0700

libatomic-ops (7.3~alpha1+git20111031-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 645302 -- Integrates patch from Thorsten Glaser

 -- Ian Wienand <ianw@debian.org>  Mon, 31 Oct 2011 23:01:03 -0700

libatomic-ops (7.3~alpha1+git20110913-1) unstable; urgency=low

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Tue, 13 Sep 2011 21:19:00 -0700

libatomic-ops (7.2~alpha5+cvs20101124-1) unstable; urgency=low

  * Closes: 604753 -- Update from upstream CVS, fixes ARM Thumb-2 mode
    FTBFS

 -- Ian Wienand <ianw@debian.org>  Wed, 24 Nov 2010 21:20:40 -0800

libatomic-ops (7.2~alpha5+cvs20100919-1) unstable; urgency=low

  * Closes: 597193 -- Update from upstream CVS to fix armel issues
  * Update to standards 3.9.1

 -- Ian Wienand <ianw@debian.org>  Sun, 19 Sep 2010 21:55:41 -0700

libatomic-ops (7.2~alpha5+cvs20100601-1) unstable; urgency=low

  * Update from upstream CVS, to fix AVR build issues with change from
    Brad Smith

 -- Ian Wienand <ianw@debian.org>  Tue, 01 Jun 2010 15:37:41 -0700

libatomic-ops (7.2~alpha5+cvs20100523-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: 580211 -- avr support integrated upstream (Thanks Stefano!)

 -- Ian Wienand <ianw@debian.org>  Fri, 21 May 2010 15:47:12 -0700

libatomic-ops (7.2~alpha5+cvs20100204-1) unstable; urgency=low

  * New upstream (with new version scheme based on the GC library)
  * Packagaing overhaul - remove unneeded debian/libatomic-ops-dev.files,
    debian/libatomic-ops-dev.install, debian/docs, debian/dirs
  * Update rules to use DEB_DESTDIR to install into /tmp
  * Pick only relevant files with debian/libatomic-ops-dev.install
  * Remove patch to ignore upstream doc generation, not needed with above
    changes

 -- Ian Wienand <ianw@debian.org>  Thu, 04 Feb 2010 14:57:58 -0800

libatomic-ops (1.2+cvs20091005-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #547136 -- patch accepted upstream
  * Lintian updates : Update standards version, debhelper compat version,
    add Section tag for source, misc depends for debhelper

 -- Ian Wienand <ianw@debian.org>  Mon, 5 Oct 2009 11:08:00 -0700

libatomic-ops (1.2+cvs20080819-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #495211 -- patch taken upstream, thanks Thiemo!

 -- Ian Wienand <ianw@debian.org>  Tue, 19 Aug 2008 14:25:24 -0700

libatomic-ops (1.2+cvs20080815-1) unstable; urgency=low

  * New upstream, taken from CVS repository at
    bdwgc.cvs.sourceforge.net:/cvsroot/bdwgc
    which upstream has told me is official home of the package.
  * Patches now included upstream: 01_s390_include.patch, 02_mips.patch,
    04_m68k.patch, 05_powerpc_asm.patch, 07_pic_cmpxchng.patch,

 -- Ian Wienand <ianw@debian.org>  Fri, 15 Aug 2008 21:26:06 -0700

libatomic-ops (1.2-4) unstable; urgency=low

  * Closes: #463390 -- Add 06_double.patch to fix some issues with double
    CAS defs.  Patch by Jamey Sharp, thanks Jamey!
  * This fixed up AO_compare_double_and_swap_double_full which then
    revealed a PIC problem, which then revealed the arguments to cmpxchg8b
    were around the wrong way, fixed in 07_pic_cmpxchng.patch

 -- Ian Wienand <ianw@debian.org>  Fri, 01 Feb 2008 11:09:33 +1100
