=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libatomic-ops
 Priority: optional
+Section: libdevel
 Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), automake1.9, autoconf, patchutils (>= 0.2.25)
-Standards-Version: 3.7.2
+Build-Depends: dh-autoreconf, debhelper (>= 8)
+Standards-Version: 3.9.5
 
 Package: libatomic-ops-dev
 Section: libdevel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
 Description: A library for atomic operations (development files)
