## libatomic-ops 7.6.6

=== debian/changelog ===
libatomic-ops (7.6.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:18:26 +0800

libatomic-ops (7.6.6-2) unstable; urgency=medium

  * Add debian watch file
  * Add VCS tags for salsa.debian.org packaging
  * libatomic-stack.3 : fix typo
  * Remove ${shlibs:Depends} as no shared libraries
  * Regenerate control
  * Switch to dpkg-source 3.0 (quilt)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Sep 2018 20:39:35 +1000

libatomic-ops (7.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Thu, 23 Aug 2018 09:35:08 +1000

libatomic-ops (7.6.4-2) unstable; urgency=medium

  * Fix links to various README files which have changed (Closes: #902802)

 -- Ian Wienand <ianw@debian.org>  Mon, 02 Jul 2018 09:40:00 +1000

libatomic-ops (7.6.4-1) unstable; urgency=medium

  * New upstream release
  * New release includes RSIC-V patches (Closes: #891341)

 -- Ian Wienand <ianw@debian.org>  Wed, 28 Mar 2018 06:14:00 +1100

libatomic-ops (7.6.2-1) unstable; urgency=medium

  * Update to stable 7.6 branch
  * Drop 0001-Basic-support-of-TILE-Gx-and-TILEPro-CPUs.patch
    (04a286421802a503b58d804d0d673dd5a28c9e9b)

 -- Ian Wienand <ianw@debian.org>  Wed, 10 Jan 2018 09:32:42 +1100

libatomic-ops (7.4.8-1) unstable; urgency=medium

  * New upstream release
  * Remove 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (upstream 0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Remove 0003-Support-n32-ABI-for-mips64.patch (upstream
    9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)
  * Update to standards 4.1.1 (no changes)

 -- Ian Wienand <ianw@debian.org>  Wed, 29 Nov 2017 20:45:24 +1100

libatomic-ops (7.4.4-3) unstable; urgency=medium

  * Skip check tests on ppc and armel platforms to allow testing
    migration.  Not a great solution, but nothing upstream and is done in
    Fedora packages too.

 -- Ian Wienand <ianw@debian.org>  Sat, 26 Nov 2016 09:56:33 +1100

libatomic-ops (7.4.4-2) unstable; urgency=medium

  * Restore missing MIPS patches from 7.4 branch (Closes: #773205)
  * Re-add from 7.4 branch 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Re-add from 7.4 branch 0003-Support-n32-ABI-for-mips64.patch
    (9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)

 -- Ian Wienand <ianw@debian.org>  Thu, 03 Nov 2016 20:25:29 +1100

libatomic-ops (7.4.4-1) unstable; urgency=medium

  * New upstream release
  * Remove 0001-Use-LLD-and-SCD-instructions-on-mips64.patch
    (54d1da56809b892d2fc521fea0fd41ea8c23e4f2)
  * Remove 004-Support-n32-ABI-for-mips64.patch
    (d3e884b41ede6d5a83ec480f72a8ed6fb4984e3c)
  * Remove 0002-Remove-inclusion-of-acquire_release_volatile.h-on-mi.patch
    (0f838defa3e466aff725213638f90e850430f2f9)
  * Remove 0003-Minor-fix-of-code-alignment-in-mips-AO_compare_and_s.patch
    (22ca163649571c72852f5892c05a4c1c53d50cc5)
  * Remove 0005-Fix-GCC-5.x-compatibility-for-AArch64-double-wide-pr.patch
    (437c10b73ae4b83306f77c851cf8385172ae3759)
  * Enable autoreconf (Closes: #821068)
  * Include patch for tilegx (backport
    04a286421802a503b58d804d0d673dd5a28c9e9b) (Closes: #841771)
  * Update standards 3.9.8 (no change)
  * Update compat to 9

 -- Ian Wienand <ianw@debian.org>  Tue, 25 Oct 2016 22:26:35 +1100

libatomic-ops (7.4.2-3) unstable; urgency=medium

  * Restore backported patches from 7.4.2-1.1 for mips64/arm64

 -- Ian Wienand <ianw@debian.org>  Mon, 25 Jan 2016 21:22:14 +1100

libatomic-ops (7.4.2-2) unstable; urgency=medium

  * Closes: 811550 -- implement multi-arch
  * Update standards version 3.9.6 (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 20 Jan 2016 11:14:12 +1100
