=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libatomic_ops-$1\.tar\.gz/ \
  https://github.com/ivmai/libatomic_ops/tags .*/v?(\d\S+)\.tar\.gz
