## libatomic-ops 7.6.10

=== debian/changelog ===
libatomic-ops (7.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Sat, 23 Mar 2019 12:22:03 +1100

libatomic-ops (7.6.6-3) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:35:05 +0200
