## libatomic-ops 7.6.14

=== debian/changelog ===
libatomic-ops (7.6.14-1) unstable; urgency=medium

  * New upstream version 7.6.14

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Sep 2022 13:35:25 +1000
