=== debian/control ===
--- 
+++ 
@@ -2,18 +2,13 @@
 Priority: optional
 Section: libdevel
 Maintainer: Ian Wienand <ianw@debian.org>
-Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: cdbs,
- autotools-dev,
- debhelper,
- dh-buildinfo,
- dh-autoreconf, quilt
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.1
+Homepage: https://github.com/ivmai/libatomic_ops
 Vcs-Browser: https://salsa.debian.org/debian/libatomic-ops
 Vcs-Git: https://salsa.debian.org/debian/libatomic-ops.git
 
 Package: libatomic-ops-dev
-Section: libdevel
 Depends: ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
@@ -29,4 +24,3 @@
  .
  This package provides the header files and documentation needed by
  developers.
-
