=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# use .install to pick out relevant stuff
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
