## libatomic-ops 7.8.0

=== debian/changelog ===
libatomic-ops (7.8.0-1) unstable; urgency=medium

  * New upstream version 7.8.0
  * Handle movement of doc files

 -- Ian Wienand <ianw@debian.org>  Sat, 01 Apr 2023 10:16:01 +1100
