=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libatomic-ops
 Priority: optional
 Section: libdevel
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.1
 Homepage: https://github.com/ivmai/libatomic_ops
@@ -12,6 +13,7 @@
 Depends: ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
+Multi-Arch: same
 Description: A library for atomic operations (development files)
  Libatomic-ops implements a large collection of operations, each one
  of which is a combination of an (optional) atomic memory operation,
