## libatomic-ops 7.10.0

=== debian/changelog ===
libatomic-ops (7.10.0-1) unstable; urgency=medium

  * New upstream version 7.10.0
  * Remove 0001-Update-AUTHORS-file-add-Roman-Zippel.patch, included
    upstream.

 -- Ian Wienand <ianw@debian.org>  Fri, 28 Nov 2025 23:21:29 +1100
