=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libatomic-ops
 Priority: optional
 Section: libdevel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
-Build-Depends: debhelper (>= 11)
+Maintainer: Ian Wienand <ianw@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.1.1
 Homepage: https://github.com/ivmai/libatomic_ops
 Vcs-Browser: https://salsa.debian.org/debian/libatomic-ops
